Subject: Temporary Permission-Errors
From: [email-masked] (Roland Geier)

9 Jul 1997 10:08:59 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Face: 
	 %JjDwL,CM#gbv*uICrNLdM9yk_LRxMh3DV'.fQ>iw'N;7([Jq}2|J#5o".kzM&>7tW`8T^Z
	 buvRLp?jvQ+sbD3BND%=&D: lT%vT4p7cGcGRP5JO+F'^
X-Mailer: ELM [version 2.4ME+ PL31 (25)]
Original-Sender: [email-masked]

Hi!

When making a large project the compilation is often interrupted
due to permission-errors on include-files, e.g.:

// ---
// --- Making /OBJ/ClientDay.Set.o
// ---
g++ -O2  -D__PACKAGEVERSION__=\"1.0\" -D__COMPILE_SHARED__ -D__WIN32__  -D_PERM_ -D__DBTYP
E_FILESYSTEM__  -g -DSVR4 -Wno-switch  -D_PERM_ -I/Programme/gnuwin32/b18/H-i386-cygwin32/
i386-cygwin32/include -I/home/include -I. -I/home/project//packages/cms++-2.0/src/shared -
I/home/project//packages/cms++-2.0/src/types -I/home/project//packages/cms++-2.0/src/clien
t/locking -I//majestix/geier/include -I/Programme/gnuwin32/b18/include  -I./ifc -c -o /OBJ
/ClientDay.Set.o ClientDay.Set.cc
In file included from ClientDay.h:11,
                 from ClientDay.defs.h:23,
                 from ClientDay.Set.h:27,
                 from ClientDay.Set.cc:23:
/home/project/packages/cms++-2.0/src/shared/DayBase.h:13: Date.h: Permission denied
In file included from ClientDay.defs.h:23,
                 from ClientDay.Set.h:27,
                 from ClientDay.Set.cc:23:
ClientDay.h:12: ClientStatistik.h: Permission denied
ClientDay.h:13: ulong.VHSet.h: Permission denied
make[1]: *** [/OBJ/ClientDay.Set.o] Error 1
make: *** [all] Error 2

After restarting the make run, the source-file *is* compiled, but the
make-run will again be interrupted when the next file is processed. To
compile - let's say - 4 source-files I need to start 'make' 8 times to
get through. Any ideas what's wrong there?

--- Roland.

---
Roland Geier                    Phone: ++49 (8505) 92181          
Universitaet Passau, GER 	Fax:   ++49 (8505) 922311
Lehrstuhl Prof. Dr. Donner      [email-masked]	
D-94032 Passau                  http://www.uni-passau.de/~geier/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".